## zanshin 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "21")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(zanshin VERSION ${RELEASE_SERVICE_VERSION})

set(KF5_MIN_VERSION "5.87.0")
find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
set(KDE_COMPILERSETTINGS_LEVEL "5.84")

include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMPoQmTools)
include(ECMSetupVersion)

set(REQUIRED_QT_VERSION "5.15.2")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui Widgets Test)
find_package(Boost REQUIRED)
find_package(Threads REQUIRED)
macro(assert_min_ver version)
    set(error_msg "${CMAKE_CXX_COMPILER} ${CMAKE_CXX_COMPILER_VERSION} not supported")
    if("${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "${version}")
        message(FATAL_ERROR "${msg}")
    endif()
endmacro()

if(APPLE)
    if((NOT "${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "6.0.0.0") AND
	    "${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "6.0.0.6000058")
        # Apple Clang 6.0.0.6000057 is known to fail on some of our code using std::mem_fn
        # but have no issues with boost::mem_fn
	   message("problematic Apple Clang version ${CMAKE_CXX_COMPILER_VERSION}, using boost::mem_fn")
        add_definitions(-DZANSHIN_USE_BOOST_MEM_FN)
    endif()
endif()

if(UNIX)
    set(CMAKE_CXX_STANDARD 14)
    set(CMAKE_CXX_EXTENSIONS OFF) # Don't enable gcc-specific extensions
endif()

kde_enable_exceptions()

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
endif()

option(ZANSHIN_BUILD_COVERAGE "Build Zanshin with gcov support" OFF)
if(ZANSHIN_BUILD_COVERAGE AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage")
endif()

option(ZANSHIN_BUILD_ASAN "Build Zanshin with asan support" OFF)
if(ZANSHIN_BUILD_ASAN)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fno-omit-frame-pointer -fno-optimize-sibling-calls")
   link_libraries("asan")
endif()

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_STRICT_ITERATORS
)

include_directories (
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${Boost_INCLUDE_DIR}
    3rdparty/kdepim/
    3rdparty/kdepim/libkdepim/
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Runner
    WindowSystem
    I18n
)
find_package(KF5 "5.18.40" REQUIRED COMPONENTS
    Akonadi
    AkonadiCalendar
    KontactInterface
)

add_subdirectory(3rdparty)
add_subdirectory(src)
ki18n_install(po)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== src/presentation/CMakeLists.txt ===
set(presentation_SRCS
    applicationmodel.cpp
    editormodel.cpp
    availablepagesmodel.cpp
    availablepagessortfilterproxymodel.cpp
    availablesourcesmodel.cpp
    contextpagemodel.cpp
    errorhandler.cpp
    errorhandlingmodelbase.cpp
    inboxpagemodel.cpp
    metatypes.cpp
    pagemodel.cpp
    projectpagemodel.cpp
    alltaskspagemodel.cpp
    querytreemodelbase.cpp
    runningtaskmodelinterface.cpp
    runningtaskmodel.cpp
    taskfilterproxymodel.cpp
    workdaypagemodel.cpp
)

add_library(presentation STATIC ${presentation_SRCS})
target_link_libraries(presentation Qt5::Core Qt5::Gui KF5::I18n domain utils)

=== tests/testlib/CMakeLists.txt ===
set(testlib_SRCS
   akonadidebug.cpp
   akonadifakedata.cpp
   akonadifakedataxmlloader.cpp
   akonadifakejobs.cpp
   akonadifakemonitor.cpp
   akonadifakestorage.cpp
   akonadifakestoragebehavior.cpp
   akonadistoragetestbase.cpp
   fakejob.cpp
   gencollection.cpp
   gentodo.cpp
   modeltest.cpp
   monitorspy.cpp
   testhelpers.cpp
)

include_directories(${CMAKE_SOURCE_DIR}/tests ${CMAKE_SOURCE_DIR}/src)
add_library(testlib STATIC ${testlib_SRCS})
target_link_libraries(testlib
    KF5::AkonadiCore
    KF5::AkonadiXml
    KF5::CalendarCore
    Qt5::DBus
    Qt5::Test
)

=== src/zanshin/kontact/CMakeLists.txt ===
# TODO: remove once kontactinterface 5.14.42 is required

if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
  # CMake 3.9+ warns about automoc on files without Q_OBJECT, and doesn't know about other macros.
  # 3.10+ lets us provide more macro names that require automoc.
  # KF5 >= 5.42 takes care itself of adding its macros in its cmake config files
  list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "EXPORT_KONTACT_PLUGIN_WITH_JSON")
endif()

set(part_SRCS
    ../app/aboutdata.cpp
    part.cpp
)

add_library(zanshin_part MODULE ${part_SRCS})
kde_enable_exceptions()
target_link_libraries(zanshin_part
    KF5::Parts
    integration
    widgets
)

install(TARGETS zanshin_part DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES zanshin_part.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

##########################

set(kontact_SRCS
    kontact_plugin.cpp
)

add_library(kontact_zanshinplugin MODULE ${kontact_SRCS})
target_link_libraries(kontact_zanshinplugin KF5::Parts KF5::KontactInterface)
kcoreaddons_desktop_to_json(kontact_zanshinplugin zanshin_plugin.desktop)

install(TARGETS kontact_zanshinplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/kontact5)
install(FILES zanshin_plugin.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/kontact)
install(FILES zanshin_part.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/zanshin)

=== src/zanshin/migrator/CMakeLists.txt ===
set(migrator_SRCS
    zanshin021migrator.cpp
    zanshincontextitemsmigrator.cpp
)

add_library(migrator STATIC ${migrator_SRCS})
target_link_libraries(migrator
    akonadi
    domain
    utils
)

add_executable(zanshin-migrator main.cpp)
target_link_libraries(zanshin-migrator migrator)
install(TARGETS zanshin-migrator DESTINATION ${KDE_INSTALL_BINDIR})

=== debian/changelog ===
zanshin (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:21:06 +0000

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.2),
               debhelper-compat (= 13),
               extra-cmake-modules,
               gettext,
               libboost-dev,
               libkf5akonadicalendar-dev (>= 4:21.12.3~),
               libkf5akonadicontact-dev (>= 4:21.12.3~),
               libkf5i18n-dev,
               libkf5kontactinterface-dev (>= 21.12.3~),
               libkf5runner-dev,
               libkf5windowsystem-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://zanshin.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin

Package: zanshin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".

## zanshin 22.04.0

=== debian/changelog ===
zanshin (22.04.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Keep Kubuntu Vcs and maintainer.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 May 2022 15:14:08 +0100

zanshin (22.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.0).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 May 2022 21:59:43 +0200

zanshin (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:58:37 +0100

zanshin (21.12.3-1) unstable; urgency=medium

  * Update watch file now that Zanshin is part of KDE Gear.
  * Refresh upstream signing keys.
  * New upstream release (21.12.3).
  * Added myself to the uploaders.
  * Drop patch fix-compilation-with-apps2008-upstream-4850c089.patch applied
    upstream.
  * Change maintainer to Debian Qt/KDE Maintainers now that Zanshin is part of
    KDE Gear / PIM.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 25 Mar 2022 22:43:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>, Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.2),
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
+           Pino Toscano <pino@debian.org>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules,
+               extra-cmake-modules (>= 5.87.0~),
                gettext,
                libboost-dev,
-               libkf5akonadicalendar-dev (>= 4:21.12.3~),
-               libkf5akonadicontact-dev (>= 4:21.12.3~),
+               libkf5akonadicalendar-dev (>= 4:22.04.0~),
+               libkf5akonadicontact-dev (>= 4:22.04.0~),
                libkf5i18n-dev,
-               libkf5kontactinterface-dev (>= 21.12.3~),
+               libkf5kontactinterface-dev (>= 22.04.0~),
                libkf5runner-dev,
                libkf5windowsystem-dev,
                pkg-kde-tools (>= 0.15.16),

## zanshin 22.04.1

=== debian/changelog ===
zanshin (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:11:35 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                extra-cmake-modules (>= 5.87.0~),
                gettext,
                libboost-dev,
-               libkf5akonadicalendar-dev (>= 4:22.04.0~),
-               libkf5akonadicontact-dev (>= 4:22.04.0~),
+               libkf5akonadicalendar-dev (>= 4:22.04.1~),
+               libkf5akonadicontact-dev (>= 4:22.04.1~),
                libkf5i18n-dev,
-               libkf5kontactinterface-dev (>= 22.04.0~),
+               libkf5kontactinterface-dev (>= 22.04.1~),
                libkf5runner-dev,
                libkf5windowsystem-dev,
                pkg-kde-tools (>= 0.15.16),

## zanshin 22.04.2

=== debian/changelog ===
zanshin (22.04.2-1ubuntu1) kinetic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump build deps to current PIM versions.
    - Update unstream signing key.

 -- Rik Mills <rikmills@kde.org>  Thu, 30 Jun 2022 11:37:44 +0100

zanshin (22.04.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Re-export upstream signing key without extra signatures.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Jun 2022 07:06:18 +0200

zanshin (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:12:09 +0100

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.87.0~),
               gettext,
               libboost-dev,
               libkf5akonadi-dev (>= 4:22.04.2~),
               libkf5akonadicalendar-dev (>= 4:22.04.2~),
               libkf5akonadicontact-dev (>= 4:22.04.2~),
               libkf5i18n-dev (>= 5.87.0~),
               libkf5kontactinterface-dev (>= 22.04.2~),
               libkf5runner-dev (>= 5.87.0~),
               libkf5windowsystem-dev (>= 5.87.0~),
               qtbase5-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://zanshin.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin

Package: zanshin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".

## zanshin 22.04.3

=== debian/changelog ===
zanshin (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:37:25 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                extra-cmake-modules (>= 5.87.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:22.04.2~),
-               libkf5akonadicalendar-dev (>= 4:22.04.2~),
-               libkf5akonadicontact-dev (>= 4:22.04.2~),
+               libkf5akonadi-dev (>= 4:22.04.3~),
+               libkf5akonadicalendar-dev (>= 4:22.04.3~),
+               libkf5akonadicontact-dev (>= 4:22.04.3~),
                libkf5i18n-dev (>= 5.87.0~),
-               libkf5kontactinterface-dev (>= 22.04.2~),
+               libkf5kontactinterface-dev (>= 22.04.3~),
                libkf5runner-dev (>= 5.87.0~),
                libkf5windowsystem-dev (>= 5.87.0~),
                qtbase5-dev,

## zanshin 22.08.0

=== debian/changelog ===
zanshin (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:59:07 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                extra-cmake-modules (>= 5.87.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:22.04.3~),
-               libkf5akonadicalendar-dev (>= 4:22.04.3~),
-               libkf5akonadicontact-dev (>= 4:22.04.3~),
+               libkf5akonadi-dev (>= 4:22.08.0~),
+               libkf5akonadicalendar-dev (>= 4:22.08.0~),
+               libkf5akonadicontact-dev (>= 4:22.08.0~),
                libkf5i18n-dev (>= 5.87.0~),
-               libkf5kontactinterface-dev (>= 22.04.3~),
+               libkf5kontactinterface-dev (>= 22.08.0~),
                libkf5runner-dev (>= 5.87.0~),
                libkf5windowsystem-dev (>= 5.87.0~),
                qtbase5-dev,

## zanshin 22.08.1

=== debian/changelog ===
zanshin (22.08.1-1ubuntu1) kinetic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump build deps to current PIM versions.
    - Update unstream signing key.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Sep 2022 07:39:53 +0100

zanshin (22.08.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (Closes: #1019712).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 14 Sep 2022 00:38:23 +0200

zanshin (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:50:02 +0100

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,16 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.87.0~),
+               extra-cmake-modules (>= 5.95.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:22.08.0~),
-               libkf5akonadicalendar-dev (>= 4:22.08.0~),
-               libkf5akonadicontact-dev (>= 4:22.08.0~),
-               libkf5i18n-dev (>= 5.87.0~),
-               libkf5kontactinterface-dev (>= 22.08.0~),
-               libkf5runner-dev (>= 5.87.0~),
-               libkf5windowsystem-dev (>= 5.87.0~),
-               qtbase5-dev,
+               libkf5akonadi-dev (>= 4:22.08.1~),
+               libkf5akonadicalendar-dev (>= 4:22.08.1~),
+               libkf5i18n-dev (>= 5.95.0~),
+               libkf5kontactinterface-dev (>= 22.08.1~),
+               libkf5runner-dev (>= 5.95.0~),
+               libkf5windowsystem-dev (>= 5.95.0~),
+               qtbase5-dev (>= 5.15.2~),
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Homepage: https://zanshin.kde.org/

## zanshin 22.08.3

=== debian/changelog ===
zanshin (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:18:25 +0000

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                extra-cmake-modules (>= 5.95.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:22.08.1~),
-               libkf5akonadicalendar-dev (>= 4:22.08.1~),
+               libkf5akonadi-dev (>= 4:22.08.3~),
+               libkf5akonadicalendar-dev (>= 4:22.08.3~),
                libkf5i18n-dev (>= 5.95.0~),
-               libkf5kontactinterface-dev (>= 22.08.1~),
+               libkf5kontactinterface-dev (>= 22.08.3~),
                libkf5runner-dev (>= 5.95.0~),
                libkf5windowsystem-dev (>= 5.95.0~),
                qtbase5-dev (>= 5.15.2~),

## zanshin 22.11.90

=== 3rdparty/kdepim/libkdepim/CMakeLists.txt ===
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DTRANSLATION_DOMAIN=\"libkdepim\")

add_library(zanshinkdepimstatic STATIC ${kdepim_LIB_SRCS})
target_sources(zanshinkdepimstatic PRIVATE kdateedit.cpp kdateedit.h)
set_property(TARGET zanshinkdepimstatic PROPERTY POSITION_INDEPENDENT_CODE ON)

generate_export_header(zanshinkdepimstatic BASE_NAME kdepim)

target_link_libraries(zanshinkdepimstatic
  KF5::WidgetsAddons
  KF5::I18n
)

## zanshin 22.12.0

=== debian/changelog ===
zanshin (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:19:37 +0000

zanshin (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:15:49 +0000

zanshin (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:41:36 +0000

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                extra-cmake-modules (>= 5.95.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:22.08.3~),
-               libkf5akonadicalendar-dev (>= 4:22.08.3~),
+               libkf5akonadi-dev (>= 4:22.12.0~),
+               libkf5akonadicalendar-dev (>= 4:22.12.0~),
                libkf5i18n-dev (>= 5.95.0~),
-               libkf5kontactinterface-dev (>= 22.08.3~),
+               libkf5kontactinterface-dev (>= 22.12.0~),
                libkf5runner-dev (>= 5.95.0~),
                libkf5windowsystem-dev (>= 5.95.0~),
                qtbase5-dev (>= 5.15.2~),

## zanshin 22.12.1

=== debian/changelog ===
zanshin (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:28:11 +0000

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                extra-cmake-modules (>= 5.95.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:22.12.0~),
-               libkf5akonadicalendar-dev (>= 4:22.12.0~),
+               libkf5akonadi-dev (>= 4:22.12.1~),
+               libkf5akonadicalendar-dev (>= 4:22.12.1~),
                libkf5i18n-dev (>= 5.95.0~),
-               libkf5kontactinterface-dev (>= 22.12.0~),
+               libkf5kontactinterface-dev (>= 22.12.1~),
                libkf5runner-dev (>= 5.95.0~),
                libkf5windowsystem-dev (>= 5.95.0~),
                qtbase5-dev (>= 5.15.2~),

## zanshin 22.12.2

=== debian/changelog ===
zanshin (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:32:18 -0600

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                extra-cmake-modules (>= 5.95.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:22.12.1~),
-               libkf5akonadicalendar-dev (>= 4:22.12.1~),
+               libkf5akonadi-dev (>= 4:22.12.2~),
+               libkf5akonadicalendar-dev (>= 4:22.12.2~),
                libkf5i18n-dev (>= 5.95.0~),
-               libkf5kontactinterface-dev (>= 22.12.1~),
+               libkf5kontactinterface-dev (>= 22.12.2~),
                libkf5runner-dev (>= 5.95.0~),
                libkf5windowsystem-dev (>= 5.95.0~),
                qtbase5-dev (>= 5.15.2~),

## zanshin 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MAJOR "22")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(zanshin VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF5_MIN_VERSION "5.87.0")
+set(KF5_MIN_VERSION "5.95.0")
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 set(KDE_COMPILERSETTINGS_LEVEL "5.84")
@@ -23,15 +23,9 @@
 include(ECMSetupVersion)
 
 set(REQUIRED_QT_VERSION "5.15.2")
-find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui Widgets Test)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui Widgets Test)
 find_package(Boost REQUIRED)
 find_package(Threads REQUIRED)
-macro(assert_min_ver version)
-    set(error_msg "${CMAKE_CXX_COMPILER} ${CMAKE_CXX_COMPILER_VERSION} not supported")
-    if("${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "${version}")
-        message(FATAL_ERROR "${msg}")
-    endif()
-endmacro()
 
 if(APPLE)
     if((NOT "${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "6.0.0.0") AND
@@ -44,7 +38,7 @@
 endif()
 
 if(UNIX)
-    set(CMAKE_CXX_STANDARD 14)
+    set(CMAKE_CXX_STANDARD 17)
     set(CMAKE_CXX_EXTENSIONS OFF) # Don't enable gcc-specific extensions
 endif()
 
@@ -84,7 +78,7 @@
     WindowSystem
     I18n
 )
-find_package(KF5 "5.18.40" REQUIRED COMPONENTS
+find_package(KF5 "5.20.40" REQUIRED COMPONENTS
     Akonadi
     AkonadiCalendar
     KontactInterface

=== src/presentation/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
-set(presentation_SRCS
+add_library(presentation STATIC)
+
+target_sources(presentation PRIVATE
     applicationmodel.cpp
     editormodel.cpp
     availablepagesmodel.cpp
@@ -17,7 +19,27 @@
     runningtaskmodel.cpp
     taskfilterproxymodel.cpp
     workdaypagemodel.cpp
+
+    applicationmodel.h
+    editormodel.h
+    availablepagesmodel.h
+    availablepagessortfilterproxymodel.h
+    availablesourcesmodel.h
+    contextpagemodel.h
+    errorhandler.h
+    errorhandlingmodelbase.h
+    inboxpagemodel.h
+    metatypes.h
+    pagemodel.h
+    projectpagemodel.h
+    alltaskspagemodel.h
+    querytreemodelbase.h
+    runningtaskmodelinterface.h
+    runningtaskmodel.h
+    taskfilterproxymodel.h
+    workdaypagemodel.h
 )
 
-add_library(presentation STATIC ${presentation_SRCS})
-target_link_libraries(presentation Qt5::Core Qt5::Gui KF5::I18n domain utils)
+set_property(TARGET presentation PROPERTY POSITION_INDEPENDENT_CODE ON)
+
+target_link_libraries(presentation Qt::Core Qt::Gui KF5::I18n domain utils)

=== tests/featurelib/CMakeLists.txt ===
set(featurelib_SRCS
   zanshincontext.cpp
)

add_definitions(-DZANSHIN_USER_XMLDATA="${CMAKE_SOURCE_DIR}/tests/features/testenv/data/testdata.xml")

include_directories(${CMAKE_SOURCE_DIR}/tests ${CMAKE_SOURCE_DIR}/src)
add_library(featurelib STATIC ${featurelib_SRCS})
target_link_libraries(featurelib
    Qt::Test
    KF5::ConfigCore
    integration
)

=== tests/testlib/CMakeLists.txt ===
--- 
+++ 
@@ -10,18 +10,19 @@
    fakejob.cpp
    gencollection.cpp
    gentodo.cpp
-   modeltest.cpp
    monitorspy.cpp
    testhelpers.cpp
 )
 
 include_directories(${CMAKE_SOURCE_DIR}/tests ${CMAKE_SOURCE_DIR}/src)
 add_library(testlib STATIC ${testlib_SRCS})
+set_property(TARGET testlib PROPERTY POSITION_INDEPENDENT_CODE ON)
+
 target_link_libraries(testlib
     KF5::AkonadiCore
     KF5::AkonadiXml
     KF5::CalendarCore
-    Qt5::DBus
-    Qt5::Test
+    Qt::DBus
+    Qt::Test
 )

=== src/zanshin/app/CMakeLists.txt ===
set(app_SRCS
    aboutdata.cpp
    aboutdata.h
    main.cpp
)
ecm_create_qm_loader(app_SRCS zanshin_qt)
qt_add_resources(app_SRCS zanshin.qrc)

add_executable(zanshin ${app_SRCS})
kde_enable_exceptions()
target_link_libraries(zanshin
    KF5::XmlGui
    integration
    widgets
)

install(TARGETS zanshin DESTINATION ${KDE_INSTALL_BINDIR})
install(PROGRAMS org.kde.zanshin.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.zanshin.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== src/zanshin/kontact/CMakeLists.txt ===

add_library(zanshin_part MODULE)
target_sources(zanshin_part PRIVATE
    ../app/aboutdata.cpp
    part.cpp
    part.h
)
kde_enable_exceptions()
target_link_libraries(zanshin_part
    KF5::Parts
    integration
    widgets
)

install(TARGETS zanshin_part DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES zanshin_part.desktop DESTINATION ${KDE_INSTALL_KSERVICESDIR})

##########################


add_library(kontact_zanshinplugin MODULE)
target_sources(kontact_zanshinplugin PRIVATE
    kontact_plugin.cpp
    kontact_plugin.h
)
target_link_libraries(kontact_zanshinplugin KF5::Parts KF5::KontactInterface)

install(TARGETS kontact_zanshinplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/kontact)
install(FILES zanshin_part.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/zanshin)

=== tests/features/editing/CMakeLists.txt ===
zanshin_feature_tests(
    addingtaskfeature
    completingtaskfeature
    editingtaskfeature
    removingtaskfeature
)

=== debian/changelog ===
zanshin (22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:32:49 +0100

zanshin (22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Bump Standards-Version to 4.6.2 (No changes needed).
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:27:16 +0100

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.95.0~),
               gettext,
               libboost-dev,
               libkf5akonadi-dev (>= 4:22.12.3~),
               libkf5akonadicalendar-dev (>= 4:22.12.3~),
               libkf5i18n-dev (>= 5.95.0~),
               libkf5kontactinterface-dev (>= 22.12.3~),
               libkf5runner-dev (>= 5.95.0~),
               libkf5windowsystem-dev (>= 5.95.0~),
               qtbase5-dev (>= 5.15.2~),
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://zanshin.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/zanshin
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/zanshin.git

Package: zanshin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".

## zanshin 23.04.2

=== debian/changelog ===
zanshin (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:01:38 +0100

zanshin (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:47:42 +0000

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.95.0~),
               gettext,
               libboost-dev,
               libkf5akonadi-dev (>= 4:23.04.2~),
               libkf5akonadicalendar-dev (>= 4:23.04.2~),
               libkf5i18n-dev (>= 5.95.0~),
               libkf5kontactinterface-dev (>= 23.04.2~),
               libkf5runner-dev (>= 5.95.0~),
               libkf5windowsystem-dev (>= 5.95.0~),
               qtbase5-dev (>= 5.15.2~),
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://zanshin.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin

Package: zanshin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".

## zanshin 23.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(zanshin VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF5_MIN_VERSION "5.95.0")
+set(KF5_MIN_VERSION "5.101.0")
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 set(KDE_COMPILERSETTINGS_LEVEL "5.84")
@@ -69,8 +69,6 @@
     ${CMAKE_SOURCE_DIR}
     ${CMAKE_BINARY_DIR}
     ${Boost_INCLUDE_DIR}
-    3rdparty/kdepim/
-    3rdparty/kdepim/libkdepim/
 )
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
@@ -78,13 +76,12 @@
     WindowSystem
     I18n
 )
-find_package(KF5 "5.20.40" REQUIRED COMPONENTS
+find_package(KF5 "5.22.40" REQUIRED COMPONENTS
     Akonadi
     AkonadiCalendar
     KontactInterface
 )
 
-add_subdirectory(3rdparty)
 add_subdirectory(src)
 ki18n_install(po)

=== debian/changelog ===
zanshin (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:59:51 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                extra-cmake-modules (>= 5.95.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:23.04.2~),
-               libkf5akonadicalendar-dev (>= 4:23.04.2~),
+               libkf5akonadi-dev (>= 4:23.04.3~),
+               libkf5akonadicalendar-dev (>= 4:23.04.3~),
                libkf5i18n-dev (>= 5.95.0~),
-               libkf5kontactinterface-dev (>= 23.04.2~),
+               libkf5kontactinterface-dev (>= 23.04.3~),
                libkf5runner-dev (>= 5.95.0~),
                libkf5windowsystem-dev (>= 5.95.0~),
                qtbase5-dev (>= 5.15.2~),

## zanshin 23.07.90

=== debian/changelog ===
zanshin (23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Add libkf5identitymanagement-dev to Build-Depends

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:43:02 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
                extra-cmake-modules (>= 5.95.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:23.04.3~),
-               libkf5akonadicalendar-dev (>= 4:23.04.3~),
+               libkf5akonadi-dev (>= 4:23.07.90~),
+               libkf5akonadicalendar-dev (>= 4:23.07.90~),
                libkf5i18n-dev (>= 5.95.0~),
-               libkf5kontactinterface-dev (>= 23.04.3~),
+               libkf5identitymanagement-dev (>= 23.07.90~),
+               libkf5kontactinterface-dev (>= 23.07.90~),
                libkf5runner-dev (>= 5.95.0~),
                libkf5windowsystem-dev (>= 5.95.0~),
                qtbase5-dev (>= 5.15.2~),

## zanshin 23.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.16)
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(zanshin VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF5_MIN_VERSION "5.101.0")
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
+set(KF_MIN_VERSION "5.101.0")
+find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 set(KDE_COMPILERSETTINGS_LEVEL "5.84")
 
@@ -71,16 +71,17 @@
     ${Boost_INCLUDE_DIR}
 )
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Runner
     WindowSystem
     I18n
+    CalendarCore
+    Parts
 )
-find_package(KF5 "5.22.40" REQUIRED COMPONENTS
-    Akonadi
-    AkonadiCalendar
-    KontactInterface
-)
+
+find_package(KPim${QT_MAJOR_VERSION}Akonadi "5.23.90" REQUIRED)
+find_package(KPim${QT_MAJOR_VERSION}AkonadiCalendar "5.23.90" REQUIRED)
+find_package(KPim${QT_MAJOR_VERSION}KontactInterface "5.23.90" REQUIRED)
 
 add_subdirectory(src)
 ki18n_install(po)

=== debian/changelog ===
zanshin (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:03:39 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                extra-cmake-modules (>= 5.95.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:23.07.90~),
-               libkf5akonadicalendar-dev (>= 4:23.07.90~),
+               libkf5akonadi-dev (>= 4:23.08.0~),
+               libkf5akonadicalendar-dev (>= 4:23.08.0~),
                libkf5i18n-dev (>= 5.95.0~),
-               libkf5identitymanagement-dev (>= 23.07.90~),
-               libkf5kontactinterface-dev (>= 23.07.90~),
+               libkf5identitymanagement-dev (>= 23.08.0~),
+               libkf5kontactinterface-dev (>= 23.08.0~),
                libkf5runner-dev (>= 5.95.0~),
                libkf5windowsystem-dev (>= 5.95.0~),
                qtbase5-dev (>= 5.15.2~),

## zanshin 23.08.1

=== src/widgets/CMakeLists.txt ===
add_library(widgets STATIC)

ki18n_wrap_ui(widgets_SRCS
    editorview.ui
    filterwidget.ui
    nameanddatasourcedialog.ui
)


target_sources(widgets PRIVATE
    ${widgets_SRCS}
    applicationcomponents.cpp
    availablepagesview.cpp
    availablesourcesview.cpp
    datasourcedelegate.cpp
    editorview.cpp
    filterwidget.cpp
    itemdelegate.cpp
    messagebox.cpp
    messageboxinterface.cpp
    nameanddatasourcedialog.cpp
    nameanddatasourcedialoginterface.cpp
    pageview.cpp
    pageviewerrorhandler.cpp
    runningtaskwidget.cpp
    quickselectdialog.cpp
    quickselectdialoginterface.cpp

    applicationcomponents.h
    availablepagesview.h
    availablesourcesview.h
    datasourcedelegate.h
    editorview.h
    filterwidget.h
    itemdelegate.h
    messagebox.h
    messageboxinterface.h
    nameanddatasourcedialog.h
    nameanddatasourcedialoginterface.h
    pageview.h
    pageviewerrorhandler.h
    runningtaskwidget.h
    quickselectdialog.h
    quickselectdialoginterface.h
)

set_property(TARGET widgets PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(widgets
    Qt::Widgets
    presentation
    KF${QT_MAJOR_VERSION}::ConfigCore
    KF${QT_MAJOR_VERSION}::ItemModels
    KF${QT_MAJOR_VERSION}::WidgetsAddons
    KF${QT_MAJOR_VERSION}::WindowSystem
)

=== debian/changelog ===
zanshin (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:08:46 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                extra-cmake-modules (>= 5.95.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:23.08.0~),
-               libkf5akonadicalendar-dev (>= 4:23.08.0~),
+               libkf5akonadi-dev (>= 4:23.08.1~),
+               libkf5akonadicalendar-dev (>= 4:23.08.1~),
                libkf5i18n-dev (>= 5.95.0~),
-               libkf5identitymanagement-dev (>= 23.08.0~),
-               libkf5kontactinterface-dev (>= 23.08.0~),
+               libkf5identitymanagement-dev (>= 23.08.1~),
+               libkf5kontactinterface-dev (>= 23.08.1~),
                libkf5runner-dev (>= 5.95.0~),
                libkf5windowsystem-dev (>= 5.95.0~),
                qtbase5-dev (>= 5.15.2~),

## zanshin 23.08.2

=== debian/changelog ===
zanshin (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:41:53 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                extra-cmake-modules (>= 5.95.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadicalendar-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.2~),
+               libkf5akonadicalendar-dev (>= 4:23.08.2~),
                libkf5i18n-dev (>= 5.95.0~),
-               libkf5identitymanagement-dev (>= 23.08.1~),
-               libkf5kontactinterface-dev (>= 23.08.1~),
+               libkf5identitymanagement-dev (>= 23.08.2~),
+               libkf5kontactinterface-dev (>= 23.08.2~),
                libkf5runner-dev (>= 5.95.0~),
                libkf5windowsystem-dev (>= 5.95.0~),
                qtbase5-dev (>= 5.15.2~),

## zanshin 23.08.3

=== debian/changelog ===
zanshin (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:45:25 +0000

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                extra-cmake-modules (>= 5.95.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:23.08.2~),
-               libkf5akonadicalendar-dev (>= 4:23.08.2~),
+               libkf5akonadi-dev (>= 4:23.08.3~),
+               libkf5akonadicalendar-dev (>= 4:23.08.3~),
                libkf5i18n-dev (>= 5.95.0~),
-               libkf5identitymanagement-dev (>= 23.08.2~),
-               libkf5kontactinterface-dev (>= 23.08.2~),
+               libkf5identitymanagement-dev (>= 23.08.3~),
+               libkf5kontactinterface-dev (>= 23.08.3~),
                libkf5runner-dev (>= 5.95.0~),
                libkf5windowsystem-dev (>= 5.95.0~),
                qtbase5-dev (>= 5.15.2~),

## zanshin 23.08.4

=== debian/changelog ===
zanshin (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:24:58 +0000

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                extra-cmake-modules (>= 5.95.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:23.08.3~),
-               libkf5akonadicalendar-dev (>= 4:23.08.3~),
+               libkf5akonadi-dev (>= 4:23.08.4~),
+               libkf5akonadicalendar-dev (>= 4:23.08.4~),
                libkf5i18n-dev (>= 5.95.0~),
-               libkf5identitymanagement-dev (>= 23.08.3~),
-               libkf5kontactinterface-dev (>= 23.08.3~),
+               libkf5identitymanagement-dev (>= 23.08.4~),
+               libkf5kontactinterface-dev (>= 23.08.4~),
                libkf5runner-dev (>= 5.95.0~),
                libkf5windowsystem-dev (>= 5.95.0~),
                qtbase5-dev (>= 5.15.2~),

## zanshin 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "23")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(zanshin VERSION ${RELEASE_SERVICE_VERSION})

=== tests/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src)
include_directories(${CMAKE_SOURCE_DIR}/3rdparty)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/testlib")

MACRO(ZANSHIN_MANUAL_TESTS)
  set(prefix "${CMAKE_CURRENT_SOURCE_DIR}")
  string(REPLACE "${CMAKE_SOURCE_DIR}" "" prefix "${prefix}")
  string(REPLACE "/" "-" prefix "${prefix}")
  string(REPLACE "\\" "-" prefix "${prefix}")
  string(LENGTH "${prefix}" prefix_length)
  string(SUBSTRING "${prefix}" 1 ${prefix_length}-1 prefix)

  FOREACH(_testname ${ARGN})
    set(_prefixed_testname "${prefix}-${_testname}")
    add_executable(${_prefixed_testname} ${_testname}.cpp)
    kde_enable_exceptions()
    target_link_libraries(${_prefixed_testname}
      Qt::Test

      integration
      widgets
    )
  ENDFOREACH(_testname)
ENDMACRO(ZANSHIN_MANUAL_TESTS)

MACRO(ZANSHIN_AUTO_TESTS)
  set(prefix "${CMAKE_CURRENT_SOURCE_DIR}")
  string(REPLACE "${CMAKE_SOURCE_DIR}" "" prefix "${prefix}")
  string(REPLACE "/" "-" prefix "${prefix}")
  string(REPLACE "\\" "-" prefix "${prefix}")
  string(LENGTH "${prefix}" prefix_length)
  string(SUBSTRING "${prefix}" 1 ${prefix_length}-1 prefix)

  FOREACH(_testname ${ARGN})
    set(_prefixed_testname "${prefix}-${_testname}")
    add_executable(${_prefixed_testname} ${_testname}.cpp)
    add_test(NAME ${_prefixed_testname} COMMAND ${_prefixed_testname})
    kde_enable_exceptions()
    target_link_libraries(${_prefixed_testname}
      Qt::Test

      testlib
      integration
      widgets
      KPim${QT_MAJOR_VERSION}::AkonadiXml
    )
  ENDFOREACH(_testname)
ENDMACRO(ZANSHIN_AUTO_TESTS)

MACRO(ZANSHIN_FEATURE_TESTS)
  set(prefix "${CMAKE_CURRENT_SOURCE_DIR}")
  string(REPLACE "${CMAKE_SOURCE_DIR}" "" prefix "${prefix}")
  string(REPLACE "/" "-" prefix "${prefix}")
  string(REPLACE "\\" "-" prefix "${prefix}")
  string(LENGTH "${prefix}" prefix_length)
  string(SUBSTRING "${prefix}" 1 ${prefix_length}-1 prefix)

  FOREACH(_testname ${ARGN})
    set(_prefixed_testname "${prefix}-${_testname}")
    add_executable(${_prefixed_testname} ${_testname}.cpp)
    add_test(NAME ${_prefixed_testname} COMMAND ${_prefixed_testname})
    kde_enable_exceptions()
    target_link_libraries(${_prefixed_testname}
      Qt::Test

      featurelib
      testlib
      integration
      widgets
      KPim${QT_MAJOR_VERSION}::AkonadiXml
    )
  ENDFOREACH(_testname)
ENDMACRO(ZANSHIN_FEATURE_TESTS)

add_subdirectory(featurelib)
add_subdirectory(features)
add_subdirectory(manual)
add_subdirectory(benchmarks)
add_subdirectory(testlib)
add_subdirectory(units)

=== src/utils/CMakeLists.txt ===
add_library(utils STATIC)
target_sources(utils PRIVATE
    compositejob.cpp
    datetime.cpp
    dependencymanager.cpp
    jobhandler.cpp

    compositejob.h
    datetime.h
    dependencymanager.h
    jobhandler.h
)

set_property(TARGET utils PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(utils
    KF${QT_MAJOR_VERSION}::CoreAddons
)

=== src/zanshin/app/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 add_executable(zanshin ${app_SRCS})
 kde_enable_exceptions()
 target_link_libraries(zanshin
-    KF5::XmlGui
+    KF${QT_MAJOR_VERSION}::XmlGui
     integration
     widgets
 )

=== debian/changelog ===
zanshin (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:42:22 +1100

zanshin (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:34:14 +0000

zanshin (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:35:11 -0700

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                extra-cmake-modules (>= 5.95.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:23.08.4~),
-               libkf5akonadicalendar-dev (>= 4:23.08.4~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
+               libkf5akonadicalendar-dev (>= 4:23.08.5~),
                libkf5i18n-dev (>= 5.95.0~),
-               libkf5identitymanagement-dev (>= 23.08.4~),
-               libkf5kontactinterface-dev (>= 23.08.4~),
+               libkf5identitymanagement-dev (>= 23.08.5~),
+               libkf5kontactinterface-dev (>= 23.08.5~),
                libkf5runner-dev (>= 5.95.0~),
                libkf5windowsystem-dev (>= 5.95.0~),
                qtbase5-dev (>= 5.15.2~),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
